sabcmd(1)

NAME
sabcmd - a command line interface to Sablotron XSLT processor

SYNOPSIS
sabcmd [options] <stylesheet> [<input> [<output>]] [assignments]
sabcmd [options] -batch-xml <input> [<stylesheet> [<output>]]+ [assignments]
sabcmd [options] -batch-xsl <stylesheet> [<input> [<output>]]+ [assignments]

DESCRIPTION
sabcmd is a command line interface to Sablotron XSLT processor. You can use is to transform XML files with XSLT stylesheets.

The only required parameter is a stylesheet; this is a URI of an XSLT stylesheet to be used for the transformation process. If you omit an input file, the standard input is used. In addition, you can specify an output file. If no output file is given, the output is sent to the standard output.

sabcmd can also run in a batch mode to process single input file with multiple stylesheets (--batch-xml) or to apply a stylesheet to multiple input files (--batch-xsl).

Assignments allow to pass parameters and named buffers to the processor. The assignments have always the form of

    name1=value1 name2=value2 ...

where name is either an ASCII string for named buffers or an ASCII string with the leading '$' sign for parameters. (Note that you need to use the right quotes to prevent the shell interpreter from performing an expansion of variables).

OPTIONS
Option can be of two forms - short or long. If some options have values, the values are separated with a whitespace for short options and with a equal sign ('=') for long options.

    -L mylog.log

is the same as

    --log-file=mylog.log

  COMMON OPTIONS

-x, --batch-xml
    multiple stylesheets, single input file

-s, --batch-xsl
    multiple input files, single stylesheet

-b, --base=NAME
    set the hard base URI to NAME

--debug-options
    display the information on debugging options

-?, --help
    display this help message

-L, --log-file=NAME
    set the log file, turns logging on

-m, --measure
    measure the time of processing

-v, --version
    display the version information

  DEBUG OPTIONS

--debug
    display results of the command line parse

-t, --times=COUNT
    run sabcmd the specified number of times

-f, --flags
    pass flags given to SablotSetOptions()

-F, --use-SPF
    use SablotProcessFiles()

-S, --use-SPS
    use SablotProcessStrings(). Give 2 args (stylesheet, input). Precede each by @.

--use-SPS-on-files
    use SablotProcessStrings() on the contents of the given files.

ENVIRONMENT
When the <xsl:sort> instruction is used without the 'lang' attribute, common locale related environment variables apply..

BUGS
There are no known bugs related to sabcmd currently. Most of bugs you can meet are related to Sablotron processor itself. In such a case, please take a look at Sablotron's home website (www.gingerall.org) or contact us at <sab-bugs@gingerall.cz>.

AUTHOR
Pavel Hlavnicka <pavel@gingerall.cz>